diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 85ede90..216b026 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -79,6 +79,9 @@ Manuel Bronstein, editor ISSAC'93: proceedings of the 1993 International
 Symposium on Symbolic and Algebraic Computation, July 6-8, 1993, Kiev, Ukraine,
 ACM Press New York, NY 10036, USA, 1993 ISBN 0-89791-604-2 
 LCCN QA76.95 I59 1993 ACM order number 505930
+\bibitem[Bru09]{Bru08}
+Brunelli, J.C. ``Streams and Lazy Evaluation Applied to Integrable Models''
+\verb|http://arxiv.org/PS_cache/nlin/pdf/0408/0408058v1.pdf|
 \bibitem[BS93]{BS93}
 Manuel Bronstein and Bruno Salvy ``Full partial fraction decomposition of
 rational functions'' In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2
@@ -161,6 +164,10 @@ and Oxford, UK, August 1993
 C. Dicrescenzo and D. Duval ``Algebraic extensions and algebraic closure in
 Scratchpad II'' In Gianni [Gia89], pp440-446 ISBN 3-540-51084-2
 LCCN QA76.95.I57 1998 Conference held jointly with AAECC-6
+\bibitem[Dew94]{Dew94}
+Dewar, M. C. ``Manipulating Fortran Code in AXIOM and the AXIOM-NAG Link''
+Proceedings of the Workshop on Symbolic and Numeric Computing, ed by Apiola, H.
+and Laine, M. and Valkeila, E. pp1-12 University of Helsinki, Finland (1994)
 \bibitem[DGJ84]{DGJ84}
 J. Davenport, P. Gianni, R. Jenks, V. Miller, S. Morrison, M. Rothstein, 
 C. Sundaresan, R. Sutor and B. Trager ``Scratchpad'' Mathematical Sciences
@@ -381,6 +388,11 @@ Computation 12(1) pp71-87 July 1991 CODEN JSYCEH ISSN 0747-7171
 \bibitem[LeB91]{LeB91}
 S.E.LeBlanc. ``The use of MathCAD and Theorist in the ChE classroom'' In
 Anonymous [Ano91], pp287-299 (vol. 1) 2 vols.
+\bibitem[Le96]{Le96}
+Lecerf, Gr\'egoire 
+``Dynamic Evaluation and Real Closure Implementation in Axiom''
+June 29, 1996 
+\verb|www.math.uvsq.fr/~lecerf/software/drc/drc.ps|
 \bibitem[LD97]{LD97}
 Richard Liska, Ladislav Drska, Jiri Limpouch, Milan Sinor, Michael Wester,
 Franz Winkler "Computer Algebra - algorithms, systems and applications''
diff --git a/changelog b/changelog
index b06a725..eb82760 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100608 tpd src/axiom-website/patches.html 20100608.02.tpd.patch
+20100608 tpd books/bookvolbib add Lecerf[Le96], Dewar[Dew94], Brunelli[Bru09]
 20100608 tpd src/axiom-website/patches.html 20100608.01.tpd.patch
 20100608 tpd src/input/Makefile rule-based exponential integration
 20100608 tpd src/input/richexponential.input rule-based exponential int.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index cd60464..b1e05c8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2860,6 +2860,8 @@ src/input/richalgebraic300-399.input rule-based algebraic integration.<br/>
 src/input/richalgebraic400-461.input rule-based algebraic integration.<br/>
 <a href="patches/20100608.01.tpd.patch">20100608.01.tpd.patch</a>
 src/input/richexponential.input rule-based exponential integration<br/>
+<a href="patches/20100608.02.tpd.patch">20100608.02.tpd.patch</a>
+books/bookvolbib add Lecerf[Le96], Dewar[Dew94], Brunelli[Bru09]<br/>
  </body>
 </html>
 
